<?php

ini_set('display_errors', 1);
error_reporting(E_ALL);

if(array_key_exists('fileBankZip', $_GET)){

    $directorio = "nominasCont.zip";

    // Valida el archivo recibido, eliminando caracteres no permitidos y diagonales para evitar retrocesos en ruta

    $file = (isset($_GET['fileBankZip'])) ? filter_var($_GET['fileBankZip']) : '';



    // Separar para obtener extensión

    $partes = explode('.', $file);

    // No se especificó el archivo, no es .txt o no existe

    if($file == '' || end($partes) != 'zip' || !file_exists($directorio)) {

        die('Archivo no encontrado 1');

    }



    header('Content-Description: File Transfer');

    header('Content-Disposition: attachment; filename='.$file);

    header('Expires: 0');

    header('Cache-Control: must-revalidate');

    header('Pragma: public');

    header('Content-Length: ' . filesize($file));

    readfile($file);

    ////unlink($directorio);

}




if(array_key_exists('fileBank', $_GET)){

    $directorio = "nomina.txt";

    // Valida el archivo recibido, eliminando caracteres no permitidos y diagonales para evitar retrocesos en ruta

    $file = (isset($_GET['fileBank'])) ? filter_var($_GET['fileBank']) : '';



    // Separar para obtener extensión

    $partes = explode('.', $file);

    // No se especificó el archivo, no es .txt o no existe

    if($file == '' || end($partes) != 'txt' || !file_exists($directorio)) {

        die('Archivo no encontrado 2');

    }



    header('Content-Description: File Transfer');

    header('Content-Disposition: attachment; filename='.$file);

    header('Expires: 0');

    header('Cache-Control: must-revalidate');

    header('Pragma: public');

    header('Content-Length: ' . filesize($file));

    readfile($file);

    //unlink($directorio);

}



if  (array_key_exists('fileSpecialBank', $_GET)){
	



    //$_REQUEST["fileSpecialBank"];

    $directorio = $_REQUEST["fileSpecialBank"];

    // Valida el archivo recibido, eliminando caracteres no permitidos y diagonales para evitar retrocesos en ruta

    $file = (isset($_GET['fileSpecialBank'])) ? filter_var($_GET['fileSpecialBank']) : '';



    // Separar para obtener extensión

    $partes = explode('.', $file);

    // No se especificó el archivo, no es .txt o no existe
	//echo getcwd();
//	var_dump(file_exists(getcwd().'/'.$directorio));
    if($file == '' || end($partes) != 'txt' || !file_exists($directorio)) {

        die('Archivo no encontrado 3');

    }



    $filename= substr($file, 15, 37); //Quita la palabra BancoMercantil



    header('Content-Description: File Transfer');

    header('Content-Disposition: attachment; filename='.$filename);

    header('Expires: 0');

    header('Cache-Control: must-revalidate');

    header('Pragma: public');

    header('Content-Length: ' . filesize($file));

    header('Content-Type: text/plain');

    readfile($file);

    //unlink($directorio);

}

if  (array_key_exists('fileUtiliBank', $_GET)){
	



    //$_REQUEST["fileUtiliBank"];

    $directorio = $_REQUEST["fileUtiliBank"];

    // Valida el archivo recibido, eliminando caracteres no permitidos y diagonales para evitar retrocesos en ruta

    $file = (isset($_GET['fileUtiliBank'])) ? filter_var($_GET['fileUtiliBank']) : '';



    // Separar para obtener extensión

    $partes = explode('.', $file);

    // No se especificó el archivo, no es .txt o no existe
	//echo getcwd();
//	var_dump(file_exists(getcwd().'/'.$directorio));
    if($file == '' || end($partes) != 'txt' || !file_exists($directorio)) {

        die('Archivo no encontrado 3');

    }



    $filename= substr($file, 15, 37); //Quita la palabra BancoMercantil



    header('Content-Description: File Transfer');

    header('Content-Disposition: attachment; filename='.$filename);

    header('Expires: 0');

    header('Cache-Control: must-revalidate');

    header('Pragma: public');

    header('Content-Length: ' . filesize($file));

    header('Content-Type: text/plain');

    readfile($file);

    //unlink($directorio);

}


if (array_key_exists('specialPaymentFile', $_GET)) {
	

    //$_REQUEST["specialPaymentFile"];

    $directorio = $_REQUEST["specialPaymentFile"];

    // Valida el archivo recibido, eliminando caracteres no permitidos y diagonales para evitar retrocesos en ruta

    $file = (isset($_GET['specialPaymentFile'])) ? filter_var($_GET['specialPaymentFile']) : '';

    // Separar para obtener extensión

    $partes = explode('.', $file);

    // No se especificó el archivo, no es .txt o no existe

    if($file == '' || end($partes) != 'txt' || !file_exists($directorio)) {

        die('Archivo no encontrado 4');

    }
    
    $filename= substr($file, 14, 50); //Quita la palabra BancoMercantil

    header('Content-Description: File Transfer');

    header('Content-Disposition: attachment; filename='.$filename);

    header('Expires: 0');

    header('Cache-Control: must-revalidate');

    header('Pragma: public');

    header('Content-Length: ' . filesize($file));

    header("Content-Type: text/plain");

    readfile($file);

    // //unlink($directorio);

}

if (array_key_exists('specialPayment', $_GET)) {
	
    //$_REQUEST["specialPaymentFile"];
    $archivo = $_REQUEST["specialPayment"];
    $directorio = $_REQUEST["directory"];
    $ruta = $directorio."/".$archivo;

    // Valida el archivo recibido, eliminando caracteres no permitidos y diagonales para evitar retrocesos en ruta
    $file = (isset($_GET['specialPayment']) && isset($_GET['directory'])) ? filter_var($ruta) : '';

    // Separar para obtener extensión
    $partes = explode('.', $file);

    // No se especificó el archivo, no es .txt o no existe
    if($file == '' || end($partes) != 'txt' || !file_exists($ruta)) {
        die('Archivo no encontrado');
    }

    header('Content-Description: File Transfer');
    header('Content-Disposition: attachment; filename='.$archivo);
    header('Expires: 0');
    header('Cache-Control: must-revalidate');
    header('Pragma: public');
    header('Content-Length: ' . filesize($ruta));
    header("Content-Type: text/plain");
    readfile($file);

}

if (array_key_exists('file', $_GET)) {
	
	

    $porciones = explode("/", $_REQUEST['file']);
    $directorio = $porciones[0];
    $nombreArchivo = $porciones[1];
    $partes = explode('.', $nombreArchivo);
    $extensionArchivo = end($partes);

    $file = (isset($_GET['file'])) ? filter_var($_GET['file']) : '';
    
    // No se especificó el archivo, no es .txt o no existe

    if($file == '' || $extensionArchivo != 'txt' || !file_exists($file)) {
        die('Archivo no encontrado');
    }

    header('Content-Description: File Transfer');
    header('Content-Disposition: attachment; filename='.$nombreArchivo);
    header('Expires: 0');
    header('Cache-Control: must-revalidate');
    header('Pragma: public');
    header('Content-Length: ' . filesize($_REQUEST['file']));
    header("Content-Type: text/plain");

    readfile($file);

}

